Homey Community Forum

Solar panels Growatt omvormer aanmelden

Ik heb gezien dat de app solar panels ook Growatt omvormers kan ondersteunen, alleen heb ik geprobeerd in te loggen, dit lukt jammer genoeg niet. Heeft iemand anders ook dit probleem of doe ik iets verkeerd? Ik hoor het graag. Thanks voor je reactie alvast.

Moved to dutch

I wrote the plugin to support Growatt inverters, but with a bug in calculating credentials:

This should be solved in the next version of the SolarPanels App (3.1.2).

Can you please wait for that and try again?

(Otherwise you need to change your password to one that’s not affected by the bug in 3.1.1)

No problemo super!!! Keep up the good work :wink:

nice! currently building a full solar 100% electric house with a Growatt inverter so this feature would be awesome! thanks

I’ve change it for a simple password so now it running. Thank

1 Like

I have the same problem with my Growatt inverter. Any idea when 3.1.2 will be released for the mainstream? Or how can I get 3.1.2 earlier?

Thanks!

There’s an alpha channel for the SolarPanels App that already has the fix.

Maybe you can ask the author of the App to add you to the alpha group?

That would be an idea, but how long does this usually take? The alpha fix is now available for 19 days.

Sorry, don’t know (I’m pretty new to this community).

You’d better ask the author of the SolarPanels App.

I solved it for now by choosing a rather simple password. Works fine!

1 Like

How simple should the password be? Length, avoiding specific characters? My Growatt username has only lower case characters, should that work?

It’s not easy to tell what will work, as the bug is related to handling (some) occurrences of 0 in the MD5 hash of the password, not the password itself:

The password “test” might work, but I’m not encouraging you to use that…

Thanks, I used http://www.miraclesalad.com/webtools/md5.php to make a complex password, until I hit one without zeroes in the MD5 hash. That did the trick for me.

1 Like

Apparently there were issues when releasing 3.1.2, but version 3.1.3 (with the fix) should be available now.

If you were using a less secure password to work around the bug please improve that now.

1 Like